Package be.fgov.ehealth.technicalconnector.signature.impl

# Class XmlSignatureBuilder

java.lang.Object
be.fgov.ehealth.technicalconnector.signature.impl.AbstractSignatureBuilder
be.fgov.ehealth.technicalconnector.signature.impl.XmlSignatureBuilder

All Implemented Interfaces:
  `SignatureBuilder`

public class XmlSignatureBuilder extends AbstractSignatureBuilder implements SignatureBuilder

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `XMLNS_DS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlSignatureBuilder(AdvancedElectronicSignatureEnumeration aes, XadesSpecification... specs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdvancedElectronicSignatureEnumeration`
  `getSupportedAES()`
  `byte[]`
  `sign(Credential signatureCredential, byte[] byteArrayToSign)`
  `byte[]`
  `sign(Credential signatureCredential, byte[] byteArrayToSign, Map<String,Object> options)`
  `SignatureVerificationResult`
  `verify(byte[] signedByteArray, byte[] signature, Map<String,Object> options)`
  `SignatureVerificationResult`
  `verify(byte[] signedByteArray, Map<String,Object> options)`
  `SignatureVerificationResult`
  `verify(Document signedContent, Element sigElement, Map<String,Object> options)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XMLNS_DS

    public static final String XMLNS_DS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XmlSignatureBuilder

    public XmlSignatureBuilder(AdvancedElectronicSignatureEnumeration aes, XadesSpecification... specs)

- ## Method Details

  - ### sign

    public byte[] sign(Credential signatureCredential, byte[] byteArrayToSign) throws TechnicalConnectorException
    Specified by:
      `sign` in interface `SignatureBuilder`
    Parameters:
      `signatureCredential` -
      `byteArrayToSign` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### sign

    public byte[] sign(Credential signatureCredential, byte[] byteArrayToSign, Map<String,Object> options) throws TechnicalConnectorException
    Specified by:
      `sign` in interface `SignatureBuilder`
    Parameters:
      `signatureCredential` -
      `byteArrayToSign` -
      `options` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### verify

    public SignatureVerificationResult verify(byte[] signedByteArray, Map<String,Object> options) throws TechnicalConnectorException
    Specified by:
      `verify` in interface `SignatureBuilder`
    Parameters:
      `signedByteArray` -
      `options` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### verify

    public SignatureVerificationResult verify(byte[] signedByteArray, byte[] signature, Map<String,Object> options) throws TechnicalConnectorException
    Specified by:
      `verify` in interface `SignatureBuilder`
    Parameters:
      `signedByteArray` -
      `signature` -
      `options` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### verify

    public SignatureVerificationResult verify(Document signedContent, Element sigElement, Map<String,Object> options) throws TechnicalConnectorException
    Specified by:
      `verify` in interface `SignatureBuilder`
    Parameters:
      `signedContent` -
      `sigElement` -
      `options` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### getSupportedAES

    public AdvancedElectronicSignatureEnumeration getSupportedAES()
    Specified by:
      `getSupportedAES` in interface `SignatureBuilder`
    Returns: